Last Comment Bug 1119022 - Hello: zh-TW locale redirects to SUMO article
: Hello: zh-TW locale redirects to SUMO article
Status: VERIFIED FIXED
[kb=1627105]
:
Product: www.mozilla.org
Classification: Other
Component: Pages & Content (show other bugs)
: Development/Staging
: x86 Mac OS X
-- normal
: ---
Assigned To: Alex Gibson [:agibson]
:
:
Mentors:
https://www-demo2.allizom.org/zh-TW/f...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-07 15:49 PST by Rebecca Billings [:rbillings]
Modified: 2015-01-13 07:27 PST (History)
5 users (show)
See Also:
Locale: zh-TW / Chinese (Traditional)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
GitHub pull request (44 bytes, text/x-github-pull-request)
2015-01-12 04:56 PST, Alex Gibson [:agibson]
no flags Details | Review | Splinter Review

Description User image Rebecca Billings [:rbillings] 2015-01-07 15:49:52 PST
The zh-TW locale is fully translated*, however the page redirects users to SUMO. Even if it wasn't fully translated it should display in English, which is why this was filed under Pages & Content.

Clicking on this link:
https://www-demo2.allizom.org/zh-TW/firefox/hello/

Redirects users to this article:
https://support.mozilla.org/en-US/kb/join-conversation-firefox-hello?redirectlocale=en-US&redirectslug=respond-firefox-hello-invitation-guest-mode

* https://l10n.mozilla-community.org/~pascalc/langchecker/?locale=all&website=0&file=firefox/hello.lang
Comment 1 User image elin 2015-01-07 21:54:57 PST
Hi, 


This happens because paths under /firefox/ were redirected to mozilla.com.tw,
and I followed the redirection settings here:
https://github.com/mozilla/bedrock/blob/master/etc/httpd/global.conf#L868-L869

I will merge the hello product page to mozilla.com.tw before 1/13 deployment on mozilla.org.
This way zh-TW users would see localized content.

Another way to do this is stop redirecting /firefox/hello/ to mozilla.com.tw.
But I'll still merge the hello product page anyway.
Comment 2 User image Alex Gibson [:agibson] 2015-01-12 04:54:26 PST
I'll see if I can open a PR to add an exception to the rewrite rule for both the Hello product page and the Hello FTE URL.
Comment 3 User image Alex Gibson [:agibson] 2015-01-12 04:56:18 PST
Created attachment 8547533 [details] [review]
GitHub pull request
Comment 4 User image [github robot] 2015-01-12 08:35:20 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/73dc10ea0ed766351341191ce1c33a90e1e8d55b
[fix bug 1119022] Hello: zh-TW locale redirects to SUMO article

https://github.com/mozilla/bedrock/commit/b4452d248cd124c229106df9ff5f820e540405dd
Merge pull request #2639 from alexgibson/zh-TW-firefox-hello

[fix bug 1119022] Hello: zh-TW locale redirects to SUMO article
Comment 5 User image Rebecca Billings [:rbillings] 2015-01-13 07:27:17 PST
Verified redirect on prod

Note You need to log in before you can comment on or make changes to this bug.